classification
Title: PEP 3121, 384 Refactoring applied to struct module
Type: resource usage Stage: resolved
Components: Extension Modules Versions: Python 3.4
process
Status: closed Resolution: duplicate
Dependencies: Superseder: Py_Finalize() doesn't clear all Python objects at exit
View: 1635741
Assigned To: Nosy List: Robin.Schreiber, asvetlov, vstinner
Priority: normal Keywords: patch, pep3121

Created on 2012-08-15 14:42 by Robin.Schreiber, last changed 2020-11-19 14:07 by vstinner. This issue is now closed.

Files
File name Uploaded Description Edit
_struct_pep3121-384_v0.patch Robin.Schreiber, 2012-08-15 14:42
_struct_pep3121-384_v1.patch Robin.Schreiber, 2012-12-14 18:39
Messages (4)
msg168302 - (view) Author: Robin Schreiber (Robin.Schreiber) * (Python triager) Date: 2012-08-15 14:42
Changes proposed in PEP3121 and PEP384 have now been applied to the struct module!
msg177489 - (view) Author: Robin Schreiber (Robin.Schreiber) * (Python triager) Date: 2012-12-14 18:39
Updated patch to work with 3.4 Branch version of _struct.c
msg177491 - (view) Author: Stefan Krah (skrah) * (Python committer) Date: 2012-12-14 18:44
Robin, if you use ...

[diff]
git = on


... in your .hgrc, then the bug tracker will automatically generate
a Rietveld review link (At least I think that's what prevents links
from being generated).
msg381421 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2020-11-19 14:07
New changeset cfeb5437a8910e28726422a14a93a36584e32238 by Christian Heimes in branch 'master':
bpo-1635741: Port _struct to multiphase initialization (GH-23398)
https://github.com/python/cpython/commit/cfeb5437a8910e28726422a14a93a36584e32238

See bpo-41111 "Convert a few stdlib extensions to the limited C API (PEP 384)".
History
Date User Action Args
2020-11-19 14:07:00vstinnersetstatus: open -> closed

superseder: Py_Finalize() doesn't clear all Python objects at exit

nosy: + vstinner
messages: + msg381421
resolution: duplicate
stage: patch review -> resolved
2014-10-14 15:01:18skrahsetnosy: - skrah
2012-12-14 18:44:58skrahsetnosy: + skrah
messages: + msg177491
2012-12-14 18:39:03Robin.Schreibersetfiles: + _struct_pep3121-384_v1.patch
keywords: + patch
messages: + msg177489
2012-11-08 13:36:00Robin.Schreibersetkeywords: + pep3121, - patch
2012-08-27 03:42:36belopolskylinkissue15787 dependencies
2012-08-17 16:41:20asvetlovsetnosy: + asvetlov
2012-08-16 02:20:04meador.ingesetstage: patch review
2012-08-15 14:42:58Robin.Schreibercreate